---
updatedAt: 2026-10-29T20:38:45.000Z
---

# List Brand Landing Page

Use this endpoint to retrieve a paginated list of live brand or shelf pages available to the advertiser, for use as landing page in onsite display campaigns.  Note that while add a featured itemset to a campaign, a brand shelf page is automatically created

> 📘 URL: POST /api/v1/brand-landing-pages/list

# Request Parameters

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Notes
      </th>

      <th>
        Type
      </th>

      <th>
        Required
      </th>

      <th>
        Possible Values
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        advertiserId
      </td>

      <td>
         ID of the advertiser
      </td>

      <td>
        integer
      </td>

      <td>
        Y
      </td>

      <td>
        Unique numeric identifier
      </td>
    </tr>

    <tr>
      <td>
        Filter\[itemsetIds]
      </td>

      <td>
        Filter by Itemset using which the page was created (MaxSize = 25)
      </td>

      <td>
        array
      </td>

      <td>
        N
      </td>

      <td>
        Valid itemsetIds separated by comma
      </td>
    </tr>

    <tr>
      <td>
        Filter\[pageType]
      </td>

      <td>
        Filter by type of page
      </td>

      <td>
        string
      </td>

      <td>
        N
      </td>

      <td>
        <ul><li>brand</li><li>shelf</li></ul>
      </td>
    </tr>

    <tr>
      <td>
        Filter\[pageTitle]
      </td>

      <td>
        Filter by Page Title
      </td>

      <td>
        string
      </td>

      <td>
        N
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        Filter\[brandName]
      </td>

      <td>
        Filter by Brand Name
      </td>

      <td>
        string
      </td>

      <td>
        N
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        startIndex
      </td>

      <td>
        Index to start returning results.This indicates the starting position of the list
      </td>

      <td>
        integer
      </td>

      <td>
        N
      </td>

      <td>
        A range of 0 to length of the list minus one

        Example: To return the first ten itemsets entries, set startIndex=0 and count=10
      </td>
    </tr>

    <tr>
      <td>
        count
      </td>

      <td>
        Number of pages to return
      </td>

      <td>
        integer
      </td>

      <td>
        N
      </td>

      <td>
        Number of itemsets that you want to fetch in response to this call

        Note: defaultCount=100, maxCount = 100, minCount = 1

        Example: To return the first ten itemset entries, set startIndex=0 and count=10
      </td>
    </tr>
  </tbody>
</Table>

<br />

# Headers

| Header Name              | Description                                                                                                                                    | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.                                   | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| Content-Type             | Format of the message body                                                                                                                     | Y        | application/json                                                                                                                                 |
| WM\_CONSUMER.ID          | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Signature for authentication                                                                                                                   | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.            | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                                                 | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |

<br />

## Sample Request- Fetch list of all brand pages without filters

```curl
curl -X POST \
'https://developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/brand-landing-pages/list' \ 
--header 'Content-Type:  application/json'  \ 
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************'  \ 
--header 'WM_SEC.KEY_VERSION: 1'  \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff'  \ 
--header 'WM_CONSUMER.intimestamp: 1565309779' \

--data 
      
 '{
    "advertiserId": 19000
}'
```

## Sample Request- Fetch list of all brand pages with filters

```curl
curl -X POST \
'https://developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/brand-landing-pages/list' \ 
--header 'Content-Type:  application/json'  \ 
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************'  \ 
--header 'WM_SEC.KEY_VERSION: 1'  \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff'  \ 
--header 'WM_CONSUMER.intimestamp: 1565309779' \

--data 
      
 '{
     "advertiserId": 1,
    "Filter[pageType]": "shelf",
    "Filter[pageTitle]": "pageTitle1",
    "Filter[brandName]": "brandName1",
    "Filter[itemsetIds]": [
        "itemsetId1",
        "itemsetId2"
    ],
    "startIndex": 0,
    "count": 100
}'
```

# Response

| Element      | Description                                                                                                                                  | Optional field/Nullable? | Type           | Possible values                                                                                                                                                               |
| :----------- | :------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ | :------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| code         | Possible values of response code:<br />•	success<br />•	failure                                                                              | N                        | string         |                                                                                                                                                                               |
| totalResults | Total number of results matching the search filter                                                                                           | Y                        | integer        |                                                                                                                                                                               |
| pages        | List of response pages                                                                                                                       | Y                        | array          |                                                                                                                                                                               |
| details      | Details will populate success or error message depending upon value of code.                                                                 | N                        | string         | Refer to this <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners/docs/list-brand-landing-error-codes">link </Anchor>for detailed error messages |
| message      | High-level summary of the error, when available.                                                                                             | Y                        | string         |                                                                                                                                                                               |
| errors       | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y                        | array\<object> |                                                                                                                                                                               |

## errors array object details

| Field       | Description                                                                                                                            | Optional field/Nullable? | Type   | Possible values |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ | :----- | --------------- |
| field       | JSON field associated with the error. Omitted if the error applies to the request as a whole.                                          | Y                        | string |                 |
| errorType   | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N                        | string |                 |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it                        | N                        | string |                 |

### Each object in the pages array will be a list of Brand landing page with metadata

| Element        | Description                                                                                                                                         | Type   |
| :------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------- | :----- |
| pageId         | Unique Id of the page                                                                                                                               | string |
| pageUrl        | URL of the brand shop or shelf page                                                                                                                 | string |
| advertisingUrl | The URL recommended to be used as landing page when someone clicks on ad                                                                            | string |
| pageTitle      | Page title                                                                                                                                          | string |
| pageType       | Page type                                                                                                                                           | string |
| brandName      | Brand name                                                                                                                                          | string |
| itemsetId      | ID of the measurement itemset that triggered this page’s creation. Not applicable for pages created manually through the Brand Shop account in WAC. | string |

## Guidelines:

* [ ] If you want to set your creative’s landing page to a Brand Shop or Shelf page, use the advertisingUrl

## Sample Response Success - Fetch list of all brand pages without filters

```json
    "code": "success",
    "totalResults": 2,
    "pages": [
        {
            "pageId": "1",
            "pageUrl": "http://walmart.com/test/111",
            "advertisingUrl": "http://walmart.com/test/111/abc",
            "pageTitle": "Test Page 1",
            "pageType": "brand",
            "brandName": "Brand1",
            "itemsetId": "itemsetId1"
        },         {
            "pageId": "2",
            "pageUrl": "http://walmart.com/test/222",
            "advertisingUrl": "http://walmart.com/test/222/def",
            "pageTitle": "Test Page 2",
            "pageType": "shelf",
            "brandName": "Brand2",
            "itemsetId": "itemsetId2"
         } 
    ]
}
```

## Sample Response Failure - Fetch list of all brand pages without filters

```json
 {
    "code": "failure",
    "details": [
      "string"
    ],
    "message": "string",
    "errors": [
      {
        "field": "string",
        "errorType": "string",
        "description": "string"
      }
    ]
  }
```

## Sample Response Success - Fetch list of all brand pages with filters

```json
{
    "code": "success",
    "totalResults": 2,
    "pages": [
        {
            "pageId": "3",
            "pageUrl": "http://walmart.com/test/333",
            "advertisingUrl": "http://walmart.com/test/333/def",
            "pageTitle": "Test Page 3",
            "pageType": "shelf",
            "brandName": "Brand3",
            "itemsetId": "itemsetId1"
         },         {
            "pageId": "4",
            "pageUrl": "http://walmart.com/test/444",
            "advertisingUrl": "http://walmart.com/test/444/def",
            "pageTitle": "Test Page 4",
            "pageType": "shelf",
            "brandName": "Brand3",
            "itemsetId": "itemsetId2"
         }  
    ]
}
```

## Sample Response Failure - Fetch list of all brand pages with filters

```json
{
    "code": "failure",
    "details": [
      "string"
    ],
    "message": "string",
    "errors": [
      {
        "field": "string",
        "errorType": "string",
        "description": "string"
      }
    ]
  }
```